GStreamer::Bin(3)

NAME
GStreamer::Bin

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Element
            +----GStreamer::Bin

INTERFACES
  GStreamer::ChildProxy

METHODS

  element = GStreamer::Bin->new ($name)

•   $name (string)

  $bin->add ($element, ...)

•   $element (GStreamer::Element)

•   ... (list)

  element = $bin->get_by_interface ($interface)

•   $interface (string)

  element = $bin->get_by_name ($name)

•   $name (string)

  element = $bin->get_by_name_recurse_up ($name)

•   $name (string)

  iterator = $bin->iterate_all_by_interface ($interface)

•   $interface (string)

  iterator = $bin->iterate_elements

  iterator = $bin->iterate_recurse

  iterator = $bin->iterate_sinks

  iterator = $bin->iterate_sorted

  $bin->remove ($element, ...)

•   $element (GStreamer::Element)

•   ... (list)

PROPERTIES

'async-handling' (boolean : default false : readable / writable / private)
    The bin will handle Asynchronous state changes

'message-forward' (boolean : default false : readable / writable / private)
    Forwards all children messages

SIGNALS

boolean = do-latency (GStreamer::Bin)
element-added (GStreamer::Bin, GStreamer::Element)
element-removed (GStreamer::Bin, GStreamer::Element)

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object, GStreamer::Element

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.